#pragma once

#include "managedObject.hpp"

#include <psp2/gxm.h>

namespace render::kernel
{

class RenderTarget : public ManagedObject
{
private:
    SceGxmRenderTarget *target;

public:
    RenderTarget(uint32_t width, uint32_t height);
    virtual ~RenderTarget();

    SceGxmRenderTarget *GetTarget();
};

} // namespace render::kernel